> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fund Wallet

> Send funds to a wallet.

**API scope required**: `wallets.fund`

<Snippet file="alpha-api-note.mdx" />

<Note>This endpoint is only available in **staging** and only supports **USDXM**.</Note>


## OpenAPI

````yaml post /v1-alpha2/wallets/{walletLocator}/balances
openapi: 3.0.0
info:
  title: Crossmint Wallets API
  description: Crossmint Wallets API
  version: 1.0.0
  contact:
    name: Crossmint Support
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security: []
tags: []
paths:
  /v1-alpha2/wallets/{walletLocator}/balances:
    post:
      summary: Fund Wallet
      description: |-
        Send funds to a wallet.

        **API scope required**: `wallets.fund`
      operationId: BalanceController-fundWallet-2
      parameters:
        - name: X-API-KEY
          in: header
          description: API key required for authentication
          required: true
          schema:
            type: string
        - name: walletLocator
          required: true
          in: path
          description: >-
            A wallet locator can be of the format:

            - `<walletAddress>`

            - `email:<email>:<walletType>`

            - `userId:<userId>:<walletType>`

            - `userId:<userId>:<walletType>` (white label user example)

            - `phoneNumber:<phoneNumber>:<walletType>`

            - `twitter:<handle>:<walletType>`

            - `x:<handle>:<walletType>`

            - `me:<walletType>` (Use when calling from the client side with a
            client API key)
          example:
            - '0x1234567890123456789012345678901234567890'
            - email:user@example.com:evm-smart-wallet
            - userId:507f1f77bcf86cd799439011:solana-mpc-wallet
            - userId:did:example:cm4lr5piw0h6t1bjho0onryql:evm-smart-wallet
            - phoneNumber:+12125551234:evm-smart-wallet
            - twitter:johndoe:evm-smart-wallet
            - x:@johndoe:evm-smart-wallet
            - me:evm-smart-wallet
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FundWalletAmountDTO'
      responses:
        '201':
          description: Funds sent successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletBalanceResponseDTO'
        '404':
          description: >-
            Returns an error (404) if a wallet with the specified locator not
            found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletV1Alpha2ErrorDTO'
components:
  schemas:
    FundWalletAmountDTO:
      type: object
      properties:
        amount:
          type: number
          minimum: 1
          maximum: 100
          description: The amount of currency to fund the wallet with. Between 1 and 100
          example: 10
        token:
          type: string
          enum:
            - usdxm
          description: The currency to fund the wallet with. Only USDXM is supported.
          example: usdxm
        chain:
          type: string
          enum:
            - arbitrum-sepolia
            - avalanche-fuji
            - base-sepolia
            - ethereum-sepolia
            - optimism-sepolia
            - polygon-amoy
            - sei-atlantic-2-testnet
            - skale-nebula-testnet
            - soneium-minato-testnet
            - viction-testnet
            - solana
            - stellar
          description: The chain to fund the wallet with
          example: base-sepolia
      required:
        - amount
        - token
        - chain
      description: Parameters required to fund a wallet
      example:
        amount: 10
        token: usdxm
        chain: base-sepolia
    WalletBalanceResponseDTO:
      type: array
      items:
        type: object
        properties:
          token:
            type: string
            enum:
              - ape
              - bnb
              - coti
              - eth
              - pathusd
              - matic
              - mnt
              - pol
              - plume
              - sei
              - chz
              - avax
              - xai
              - fuel
              - hbar
              - vic
              - ip
              - zcx
              - u2u
              - flow
              - usdc
              - usdce
              - busd
              - usdxm
              - usdt
              - credit
              - usdf
              - eurc
              - weth
              - degen
              - superverse
              - pirate
              - wld
              - xmeme
              - alphausd
              - betausd
              - thetausd
              - bonk
              - xlm
              - usdm0
              - usdm1
              - sol
              - sui
              - apt
              - sfuel
              - xion
            description: The token
            example: eth
          decimals:
            type: number
            description: The number of decimals of the token
            example: 18
          balances:
            type: object
            additionalProperties:
              type: string
            description: The balance of the wallet in different chains
        required:
          - token
          - decimals
          - balances
      description: The balances of the wallet
      example:
        - token: usdc
          decimals: 6
          balances:
            base: '121000000'
            ethereum: '121000000'
            total: '242000000'
        - token: eth
          decimals: 18
          balances:
            ethereum: '1000000000000000000'
            total: '1000000000000000000'
    WalletV1Alpha2ErrorDTO:
      type: object
      properties:
        error:
          type: boolean
          enum:
            - true
        message:
          type: string
          description: Error message
          example: <error message>
      required:
        - error
        - message
      description: Wallet error

````